POST/projects/api/v3/projects/expenses/read-with-ai.json

Parse an expense receipt with AI.

Accepts a previously uploaded file (by file name) and returns a draft expense payload extracted from the document via the AI extraction service. Requires the expenses AI feature to be enabled for the installation.

Body Params

ReadWithAIRequest specifies the file to read.

    • Name
      fileName
      Type
      string

    Responses

    • Code
      200
      Type
      object
      Schema
      Description
      200 OK
      CreateExpenseWithAI contains the information the expense data and warnings.
    • Code
      400
      Type
      object
      Schema
      Description
      400 Bad Request
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      401
      Type
      object
      Schema
      Description
      401 Unauthorized
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      403
      Type
      object
      Schema
      Description
      403 Forbidden
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      500
      Type
      object
      Schema
      Description
      500 Internal Server Error
      ErrorResponse defines how []Error should be marshaled to JSON.

    Examples

    200 OK

    CreateExpenseWithAI
    {
      "expense": {
        "billableAmount": 0,
        "budgetId": 0,
        "category": "string",
        "costAmount": 0,
        "customCategoryId": 0,
        "date": "string",
        "description": "string",
        "expenseDescription": "string",
        "files": [
          {
            "id": 0,
            "type": "string"
          }
        ],
        "invoiceId": 0,
        "pendingFileAttachments": [
          "string"
        ],
        "title": "string",
        "userId": 0
      },
      "warnings": {
        "currencyMismatch": {
          "documentCurrency": "string",
          "installationCurrency": "string"
        }
      }
    }